/*
 Analóg input, analóg output, serial output
 Az analóg inputból kiolvasott értéket 0-255 közé skálázza, az eredményt PWM-re küldi és kiírja serial monitoron is
 
 Áramkör:
 * potméter középső lába bekötve analóg 0 pinbe, a szélsők a földbe és az 5V-ba
 * LED digitális 9-be és a földbe 
 
 created 29 Dec. 2008
 modified 9 Apr 2012
 by Tom Igoe
 */

// Állandókkal jelöljük meg a pineket:
// potméter – bemenet az analóg pin 0-n:
const int analogInPin = A0;  
// LED – kimenet a digitális 9-en
const int analogOutPin = 9; 

// létrehozzuk a változókat
int sensorValue = 0;        // potméterből kiolvasott érték
int outputValue = 0;        // PWM-re küldött érték

void setup() {
  // soros kommunikáció inicializálása:
  Serial.begin(9600); 
}

void loop() {
  // kiolvassuk az analóg bemenetet:
  sensorValue = analogRead(analogInPin);            
  // PWM-hez skálázzuk az értéket:
  outputValue = map(sensorValue, 0, 1023, 0, 255);  
  // és kiküldjük rá:
  analogWrite(analogOutPin, outputValue);           

  // serial monitoron kiírjuk az eredményt:
  Serial.print("sensor = " );                       
  Serial.print(sensorValue);      
  Serial.print("\t output = ");      
  Serial.println(outputValue);   

  // 2 milliszekundumot várunk, mielőtt újra lefut a loop, 
  // hogy az analóg-digitális átalakító stabilan működjön
  delay(2);                     
}


